.container {
  display: flex;
  position: absolute;
  z-index: 1080;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100vw;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  overflow-x: hidden;
  overflow-y: auto;
  background-color: transparent;
  -webkit-overflow-scrolling: touch;

  &.fade {
    transition: background-color .2s;
  }

  &.shown {
    background-color: rgba(0, 0, 0, .75);
  }
}

.popup {
  width: 40rem;
  max-width: 98vw;
  min-height: 20rem;
  padding: 1.25rem;
  border: none;
  border-radius: .3125rem;
  background: white;
  position: relative;

  &.show {
    animation: modal-show .3s;
    -webkit-animation: modal-show .3s;
  }
}

@keyframes modal-show {
  0% {
    transform: scale(.7);
  }

  45% {
    transform: scale(1.05);
  }

  80% {
    transform: scale(.95);
  }

  100% {
    transform: scale(1);
  }
}
